# Command: max

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    max - return the greater of two values

Synopsis:

    val1 val2 max -> result

Examples:

      1   2   max -> 2
      1   2.0 max -> 2.0
      1.0 2   max -> 2

Description:

      This function returns the greater of two values, by removing the other
      one from the stack. Hence, the output type is the same as the
      respective input type (integer or double).

      Alternatives: Functions  max_i_i, max_i_d, max_d_i, max_d_d (all
      undocumented), where i is standing for integer and for double as
      arguments -> behaviour and synopsis are the same.

Parameters:

      val1, val2: numeric values (integer or double)
      result   : the greater of the two values (keeping its type, integer
      or double)

Author:

    Ruediger Kupper

FirstVersion:

    17.3.2003

SeeAlso:

- min
- gt
- lt
- geq
- leq

Source:

    /opt/conda/conda-bld/nest_1510213973486/work/nest-2.14.0/lib/sli/typeinit.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative